"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentsBody = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_dom_1 = tslib_1.__importDefault(require("react-dom"));
const utils_1 = require("@opensumi/ide-components/lib/utils");
const comments_module_less_1 = tslib_1.__importDefault(require("./comments.module.less"));
const markdown_style_1 = require("./markdown.style");
const ShadowContent = ({ root, children }) => react_dom_1.default.createPortal(children, root);
exports.CommentsBody = react_1.default.memo(({ body }) => {
    const shadowRootRef = react_1.default.useRef(null);
    const [shadowRoot, setShadowRoot] = react_1.default.useState(null);
    const renderer = react_1.default.useMemo(() => {
        const renderer = (0, utils_1.createMarkedRenderer)();
        renderer.link = (href, title, text) => `<a target="_blank" rel="noopener" href="${href}" title="${title}">${text}</a>`;
        return renderer;
    }, []);
    react_1.default.useEffect(() => {
        if (shadowRootRef.current) {
            const shadowRootElement = shadowRootRef.current.attachShadow({ mode: 'open' });
            if (!shadowRoot) {
                setShadowRoot(shadowRootElement);
            }
        }
    }, []);
    return (react_1.default.createElement("div", { ref: shadowRootRef, className: comments_module_less_1.default.comment_shadow_box }, shadowRoot && (react_1.default.createElement(ShadowContent, { root: shadowRoot },
        react_1.default.createElement("style", null, markdown_style_1.markdownCss),
        react_1.default.createElement("div", { dangerouslySetInnerHTML: {
                __html: (0, utils_1.toMarkdownHtml)(typeof body === 'string' ? body : body.value, {
                    gfm: true,
                    breaks: false,
                    pedantic: false,
                    smartLists: true,
                    smartypants: false,
                    renderer,
                }),
            } })))));
});
//# sourceMappingURL=comments-body.js.map