"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentsFeatureRegistry = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
let CommentsFeatureRegistry = class CommentsFeatureRegistry {
    constructor() {
        this.config = {};
        this.options = {};
        this.panelTreeNodeHandlers = [];
        this.mentionsOptions = {};
        this.providerFeature = new Map();
    }
    registerConfig(config) {
        this.config = Object.assign(Object.assign({}, this.config), config);
    }
    registerPanelTreeNodeHandler(handler) {
        this.panelTreeNodeHandlers.push(handler);
    }
    registerPanelOptions(options) {
        this.options = Object.assign(Object.assign({}, this.options), options);
    }
    registerFileUploadHandler(handler) {
        this.fileUploadHandler = handler;
    }
    registerMentionsOptions(options) {
        this.mentionsOptions = options;
    }
    registerZoneWidgetRender(render) {
        this.zoneWidgetRender = render;
    }
    getConfig() {
        return this.config;
    }
    getCommentsPanelOptions() {
        return this.options;
    }
    getCommentsPanelTreeNodeHandlers() {
        return this.panelTreeNodeHandlers;
    }
    getFileUploadHandler() {
        return this.fileUploadHandler;
    }
    getMentionsOptions() {
        return this.mentionsOptions;
    }
    getZoneWidgetRender() {
        return this.zoneWidgetRender;
    }
    registerProviderFeature(providerId, feature) {
        this.providerFeature.set(providerId, feature);
    }
    getProviderFeature(providerId) {
        return this.providerFeature.get(providerId);
    }
};
CommentsFeatureRegistry = tslib_1.__decorate([
    (0, di_1.Injectable)()
], CommentsFeatureRegistry);
exports.CommentsFeatureRegistry = CommentsFeatureRegistry;
//# sourceMappingURL=comments-feature.registry.js.map