import { ClientAppContribution, CommandContribution, CommandRegistry, Disposable, TabBarToolbarContribution, ToolbarRegistry } from '@opensumi/ide-core-browser';
import { IMenuRegistry, MenuContribution } from '@opensumi/ide-core-browser/lib/menu/next';
import { BrowserEditorContribution, IEditorFeatureRegistry } from '@opensumi/ide-editor/lib/browser';
export declare class CommentsBrowserContribution extends Disposable implements ClientAppContribution, BrowserEditorContribution, CommandContribution, TabBarToolbarContribution, MenuContribution {
    private readonly commentsService;
    private readonly layoutService;
    private readonly commentsFeatureRegistry;
    private readonly contributions;
    private readonly eventBus;
    private commentModelService;
    onStart(): void;
    get panelBadge(): string;
    registerCommands(registry: CommandRegistry): void;
    registerMenus(registry: IMenuRegistry): void;
    registerToolbarItems(registry: ToolbarRegistry): void;
    private registerCommentsFeature;
    /**
     * 因为大多数情况下没有评论，所以默认先不注册底部面板
     * 在第一次创建 thread 的时候再创建底部面板
     * @memberof CommentsBrowserContribution
     */
    private listenToCreateCommentsPanel;
    registerEditorFeature(registry: IEditorFeatureRegistry): void;
}
//# sourceMappingURL=comments.contribution.d.ts.map